.grades-ext_list {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;

  grid-area: grade-list;
  overflow: scroll;

  &::-webkit-scrollbar {
    display: none;
  }

  scrollbar-width: none;
}

.grade-ext {
  display: flex;
  background-color: var(--primary-200);
  align-items: center;
  border-radius: 1rem;
  overflow: hidden;
  gap: 1.2rem;
  flex-grow: 0;
  flex-shrink: 0;

  &_mark {
    font-size: var(--title1);
    font-weight: 700;
    width: 1.4em;
    height: 1.6em;
    padding: 0.4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    & > span {
      mix-blend-mode: overlay;
    }

    &[data-grade="A"] {
      background: var(--grade-a);
    }
    &[data-grade="B"] {
      background: var(--grade-b);
    }
    &[data-grade="C"] {
      background: var(--grade-c);
    }
    &[data-grade="D"] {
      background: var(--grade-d);
    }
    &[data-grade="F"] {
      background: var(--grade-f);
    }
  }

  &_title {
  }

  &_date {
    margin-right: auto;
  }

  &_weight {
    padding-left: 0.8rem;
    padding-right: 1rem;
    // border-left: 0.1rem solid rgba(90, 109, 131, 0.4);
    height: 90%;
    display: flex;
    align-items: center;
    .value {
    }
  }
}
